:root{
    --first-color: #004e66; /* blue */
    --second-color: #ff5f2e; /* orange */
    --tiers-color: #fcbe32; /* yellow */   
    --fourth-color: #ffffff; /* white */ 
    --fith-color: #4c4c4c; /* grey */    
    --sixth-color: #e1eef6; /* white blue */   
    --first-font: "Gill Sans",sans-serif;
}

*{
    font-family: 'Montserrat', sans-serif;

}
body{
    margin-right: auto;
    margin-left: auto;
    max-width:1170px;
}

header{
    display: grid;
    grid-template-rows: 50px repeat(3,1fr);
    grid-template-columns: repeat(5,1fr);
    grid-template-areas: 
    "nav nav nav nav nav"
    "search search search dealDay dealDay"
    "search search search dealDay dealDay"
    "search search search dealDay dealDay";
    width: 100%;
    grid-column-gap: 1em;
}

nav{
    grid-area: nav;
    background-color:var(--fourth-color);
    display: flex;
    position: relative;
    overflow: hidden;
}

.logo{
    display: flex;
    align-items: center;
    flex: 0.5;
    color: var(--first-color);
    text-transform: uppercase;
}

ul{
    flex: 2;
    list-style-type: none;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

li{
    padding: 20px;
}

li a {
    color: var(--first-color);
    text-decoration: none;
}

.active {
    color: var(--second-color);
}

.search{
    grid-area: search;
    background-color: var(--first-color);

}

form{
    display: grid;
    grid-template-rows: 80px repeat(3,1fr);
    grid-template-columns: 1fr 1fr;
    grid-template-areas: 
    "formTitle formTitle"
    "form-one form-two"
    "form-three form-four"
    " ... button";
    height: 100%;
    color: white;
    font-weight: 500;
    font-size: 1em;
    padding-left: 15px;
}
.form{
    display: flex;
    flex-direction: column;
    width: 90%;
}

.form input{
    height: 30px;
}

.formTitle{
    grid-area: formTitle;
    display: flex;
    align-items: center;
    font-size: 1.5em;
}

.form-one{
    grid-area: form-one;
}

.form-two{
    grid-area: form-two;
}

.form-three{
    grid-area: form-three;
}

.form-four{
    grid-area: form-four;
}
.button{
    grid-area: button;

    display: flex;
    align-items: flex-end;
}

button{
    background-color: var(--second-color);
    color: white;
    border-radius: 10px;
    width: 120px;
    height: 50px;
    font-weight: 500;
    font-size: 1em;
}
.dealDay{
    grid-area: dealDay;
    z-index: 10;
    position: relative;

}

.titreDeal{
    z-index: 10;
    width: 100%;
    height: 50px;
    position: absolute;
    color: var(--fith-color);
    display: flex;
    align-items: center;
    padding-left:14px;
    background: linear-gradient(to top, transparent, rgb(248, 246, 246));
    font-weight: 700;
    font-size: 1.5em;
}

.dealImg{
    object-fit: cover;
    height: 100%;
    width: 100%;
    z-index: 1;
    filter: opacity(75%);
}
.dealInfo{
    position: absolute;
    z-index: 14;
    display: flex;
    width: 100%;
    justify-content: space-between;
    height: 45px;
    margin-top: -55px;
    align-items: center;
    
}
.spanInfo{
    display: flex;
    flex-direction: column;
}
.spanInfo h3{
    font-weight: 700;
    font-size: 1.5em;
}
.prix{
    height: 100%;
    background-color: var(--tiers-color);
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
    font-size: 1.5em;
}

.wrap{
    position: relative;
    height: 350px;
    width: 285px;
    overflow: hidden;
}

.images{
    object-fit: cover;
    height: 100%;
    width: 100%;
    z-index: 1;
    filter: opacity(80%);
}

.title{
    z-index: 10;
    width: 100%;
    height: 50px;
    position: absolute;
    color: var(--second-color);
    display: flex;
    align-items: center;
    padding-left:14px;
    background: linear-gradient(to top, transparent, rgb(243, 234, 233));
    font-weight: 700;
    font-size: 2em;
}

.info{
    position: absolute;
    z-index: 10;
    margin-top: -50px;
    display: block;
    width: 100%;
    height: 50px;
    background: linear-gradient(to bottom, transparent, mistyrose)
}

.cardPrice{
    position: absolute;
    height: 35px;
    width: 40px;
    background-color: var(--tiers-color);
    margin-top: -50px;
    margin-left: 245px;
    z-index: 11;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 700;
}

main{
    display: grid;
    grid-template-rows: 50px auto ;
    grid-template-columns: repeat(4,285px);
    grid-template-areas:
    "headTitle headTitle headTitle headTitle";
    grid-row-gap: 1em;
    grid-column-gap: 10px;
    justify-items: center;
    justify-content: center;
}

.headTitle{
    grid-area: headTitle;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    font-size: 2.3em;
}

.more{
    width: 100%;
    height: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    font-size: 2em;
    color: white;
}

.more span{
    background-color: var(--second-color);
    width: 300px;
    border-radius: 10px;
    height: 40px;
    display: flex;
    justify-content: center;
}

footer{
    display: grid;
    grid-template-rows: 90px 150px 10px;
}
.footer-head{
    display: flex;
    justify-content: space-around;
    background-color: var(--first-color);
}

.footer-head div img{
    width: 50px;
}

.footer-head div{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    font-size: 0.9em;
}
.footer-middle{
    background-color: var();
    display: flex;
    justify-content: space-between;
}
.end{
    background-color: var(--second-color);
}

.footer-info{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.footer-info a{
    text-decoration: none;
    color: var(--first-color);
}

.footer-info h2{
    color: var(--fith-color);
    font-size: 1.4em;
}
